/*
 *  File:		picker.h
 *  Function:	header for the icon picker
 *  Author:		Paul Elseth
 *				Copyright (c) 1991, Paul Elseth
 *
 *	Change History:
 *
 *		12/03/91	PBE		created
 */

#ifndef	__PICKER__
#define	__PICKER__

#ifndef __FOUNDATION__
#include "foundation.h"
#endif

typedef struct {
	char	*name;
    byte	flag;
    long	resID;
	} ListItem;

typedef struct {
/*	Handle	iconH;	*/
    char	*name;
	long	resID;
    char	flag;
	short	width;
	short	iHite;
	} PickerItem;


short 	OpenPicker(fOpenRec *parms);
short	PickerEvent(fEventRec *parms);
short	ClosePicker(fCloseRec *parms);
short	WritePicker(fCloseRec *parms);
short	ActivatePicker(fActivateRec *parms);
short	PickerVidMode(fVidModeRec *parms);
short	PickerPrint(fCloseRec *parms);

                        
#endif	/* __PICKER__ */
